> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Coverages V 1 Batch Update Ppg

POST https://api.taigabilling.com/coverages/v1/batch-update-ppg/{ppg_id}
Content-Type: application/json

Finds all coverages associated with the given ppg_id and updates the ppg_fields for each coverage.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-coverages-v-1/pre-encounter-coverages-v-1-batch-update-ppg

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `ppg_id` (string, required) — The unique identifier for a PayerPlanGroup in the database

### Body (application/json)

This endpoint expects a pre-encountercoveragesv1PayerPlanGroupFields.

- `payer_plan_group_id` (string, required) — The unique identifier for a PayerPlanGroup in the database
- `payer_id` (string, required) — The unique identifier for a Payer in the database
- `payer_name` (string, required)
- `plan_type` (enum, required)
  - Allowed values: `09`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `AM`, `BL`, `CH`, `CI`, `DS`, `FI`, `HM`, `LM`, `MA`, `MB`, `MC`, `OF`, `TV`, `VA`, `WC`, `ZZ`

## Examples

**Request**

```json
{
  "payer_plan_group_id": "string",
  "payer_id": "string",
  "payer_name": "string",
  "plan_type": "09"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/coverages/v1/batch-update-ppg/ppg_id"

payload = {
    "payer_plan_group_id": "string",
    "payer_id": "string",
    "payer_name": "string",
    "plan_type": "09"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```